Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.tpc.parlay.management
Interface ThirdPartyCallMBean

public interface ThirdPartyCallMBean

MBean interface for TPC MPCC traffic path.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `callingParticipantNameMandantory` Indicates whether callingParticipantName parameter of makeCallSession operation is used as the original address, if set as true, the callingParticipantName is required to be a string which can be transfered to URI.
`static boolean` | `changeMediaAllowed` Indicates whether an end user can change the media types used in a call
`static boolean` | `chargingAllowed` Specifies if charging is allowed or not
`static boolean` | `maximumDurationEnforced` Indicates whether a call which duration exceeds the maximum value will be enforced to hang up
`static int` | `maximumParticipants` Maximum number of participants which a session can serve
`static boolean` | `multiMediaSupported` Indicates whether multimedia is supported and whether an application can change the media types used in a call.
`static int` | `statusRetentionTime` Specifies the length of time in second to retain status after the termination of the call

Method Summary
`void` | `configCallGetInfoReq(boolean supported, boolean pCallInfoTimes, boolean pCallInfoReleaseCause)` Customize parameters for IpMultiPartyCall's getInfoReq operation.
`void` | `configLegGetInfoReq(boolean supported, boolean pCallLegInfoTimes, boolean pCallLegInfoReleaseCause, boolean pCallLegInfoAddress, boolean pCallLegInfoAppInfo)` Customize parameters for IpCallLeg's getInfoReq operation.
`String` | `countPendingCallSession()` Get the count of unterminated call sessions for this plugin instance of current version
`String` | `getCallGetInfoReqConfig()` Retrieves current configuration for the IpCallLeg's getInfoReq operation
`boolean` | `getCallingParticipantNameMandantory()`
`String[]` | `getCallLegs(String callSessionId)` Retrieves all call legs with the specified call session id
`String` | `getCallLegSessionInfo(String callLegSessionId)` Retrieves call leg session info with the specified call leg session id
`String` | `getCallSessionInfo(String callSessionId)` Retrieves call session info with the specified call session id
`boolean` | `getChangeMediaAllowed()`
`boolean` | `getChargingAllowed()`
`String` | `getLegGetInfoReqConfig()` Retrieves current configuration for the IpCallLeg's getInfoReq operation
`boolean` | `getMaximumDurationEnforced()`
`int` | `getMaximumParticipants()`
`boolean` | `getMultiMediaSupported()`
`int` | `getStatusRetentionTime()`
`String[]` | `listCallSessionIds()` Lists all the callSessionIds in the system
`void` | `setCallingParticipantNameMandantory(boolean callingParticipantNameMandantory)`
`void` | `setChangeMediaAllowed(boolean chageMediaAllowed)`
`void` | `setChargingAllowed(boolean allowed)`
`void` | `setMaximumDurationEnforced(boolean maximumDurationEnforced)`
`void` | `setMaximumParticipants(int maximumParticipants)`
`void` | `setMultiMediaSupported(boolean supported)`
`void` | `setStatusRetentionTime(int t)`

Field Detail

### callingParticipantNameMandantory

    public static final boolean callingParticipantNameMandantory

  Indicates whether callingParticipantName parameter of makeCallSession operation is used as the original address, if set as true, the callingParticipantName is required to be a string which can be transfered to URI.

  See Also:
    Constant Field Values

### changeMediaAllowed

    public static final boolean changeMediaAllowed

  Indicates whether an end user can change the media types used in a call

  See Also:
    Constant Field Values

### chargingAllowed

    public static final boolean chargingAllowed

  Specifies if charging is allowed or not

  See Also:
    Constant Field Values

### maximumDurationEnforced

    public static final boolean maximumDurationEnforced

  Indicates whether a call which duration exceeds the maximum value will be enforced to hang up

  See Also:
    Constant Field Values

### maximumParticipants

    public static final int maximumParticipants

  Maximum number of participants which a session can serve

  See Also:
    Constant Field Values

### multiMediaSupported

    public static final boolean multiMediaSupported

  Indicates whether multimedia is supported and whether an application can change the media types used in a call.

  See Also:
    Constant Field Values

### statusRetentionTime

    public static final int statusRetentionTime

  Specifies the length of time in second to retain status after the termination of the call

  See Also:
    Constant Field Values

Method Detail

### configCallGetInfoReq

    public void configCallGetInfoReq(boolean supported,
                                     boolean pCallInfoTimes,
                                     boolean pCallInfoReleaseCause)
                              throws ManagementException

  Customize parameters for IpMultiPartyCall's getInfoReq operation.

  Parameters:
    `supported` - support IpMultiPartyCall's getInfoReq operation or not
    `pCallInfoTimes` - enables the P_CALL_INFO_TIMES tag
    `pCallInfoReleaseCause` - enables the P_CALL_INFO_RELEASE_CAUSE tag
  Throws:
    `ManagementException`

### configLegGetInfoReq

    public void configLegGetInfoReq(boolean supported,
                                    boolean pCallLegInfoTimes,
                                    boolean pCallLegInfoReleaseCause,
                                    boolean pCallLegInfoAddress,
                                    boolean pCallLegInfoAppInfo)
                             throws ManagementException

  Customize parameters for IpCallLeg's getInfoReq operation.

  Parameters:
    `supported` - support IpCallLeg's getInfoReq operation or not
    `pCallLegInfoTimes` - enables the P_CALL_LEG_INFO_TIMES tag
    `pCallLegInfoReleaseCause` - enables the P_CALL_LEG_INFO_RELEASE_CAUSE tag
    `pCallLegInfoAddress` - enables the P_CALL_LEG_INFO_ADDRESS tag
    `pCallLegInfoAppInfo` - enables the P_CALL_LEG_INFO_APPINFO tag
  Throws:
    `ManagementException`

### countPendingCallSession

    public String countPendingCallSession()
                                   throws ManagementException

  Get the count of unterminated call sessions for this plugin instance of current version

  Throws:
    `ManagementException`

### getCallGetInfoReqConfig

    public String getCallGetInfoReqConfig()
                                   throws ManagementException

  Retrieves current configuration for the IpCallLeg's getInfoReq operation

  Throws:
    `ManagementException`

### getCallingParticipantNameMandantory

    public boolean getCallingParticipantNameMandantory()

### getCallLegs

    public String[] getCallLegs(String callSessionId)
                         throws ManagementException

  Retrieves all call legs with the specified call session id

  Parameters:
    `callSessionId` - the session ID of the call session id
  Throws:
    `ManagementException`

### getCallLegSessionInfo

    public String getCallLegSessionInfo(String callLegSessionId)
                                 throws ManagementException

  Retrieves call leg session info with the specified call leg session id

  Parameters:
    `callLegSessionId` -
  Throws:
    `ManagementException`

### getCallSessionInfo

    public String getCallSessionInfo(String callSessionId)
                              throws ManagementException

  Retrieves call session info with the specified call session id

  Parameters:
    `callSessionId` -
  Throws:
    `ManagementException`

### getChangeMediaAllowed

    public boolean getChangeMediaAllowed()

### getChargingAllowed

    public boolean getChargingAllowed()

### getLegGetInfoReqConfig

    public String getLegGetInfoReqConfig()
                                  throws ManagementException

  Retrieves current configuration for the IpCallLeg's getInfoReq operation

  Throws:
    `ManagementException`

### getMaximumDurationEnforced

    public boolean getMaximumDurationEnforced()

### getMaximumParticipants

    public int getMaximumParticipants()

### getMultiMediaSupported

    public boolean getMultiMediaSupported()

### getStatusRetentionTime

    public int getStatusRetentionTime()

### listCallSessionIds

    public String[] listCallSessionIds()
                                throws ManagementException

  Lists all the callSessionIds in the system

  Throws:
    `ManagementException`

### setCallingParticipantNameMandantory

    public void setCallingParticipantNameMandantory(boolean callingParticipantNameMandantory)
                                             throws ManagementException

  Throws:
    `ManagementException`

### setChangeMediaAllowed

    public void setChangeMediaAllowed(boolean chageMediaAllowed)
                               throws ManagementException

  Throws:
    `ManagementException`

### setChargingAllowed

    public void setChargingAllowed(boolean allowed)
                            throws ManagementException

  Throws:
    `ManagementException`

### setMaximumDurationEnforced

    public void setMaximumDurationEnforced(boolean maximumDurationEnforced)
                                    throws ManagementException

  Throws:
    `ManagementException`

### setMaximumParticipants

    public void setMaximumParticipants(int maximumParticipants)
                                throws ManagementException

  Throws:
    `ManagementException`

### setMultiMediaSupported

    public void setMultiMediaSupported(boolean supported)
                                throws ManagementException

  Throws:
    `ManagementException`

### setStatusRetentionTime

    public void setStatusRetentionTime(int t)
                                throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD